Bug 1664077 - Migrate Python-based Nautilus extensions to Python 3
Summary: Migrate Python-based Nautilus extensions to Python 3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-07 16:10 UTC by Ben Cotton
Modified: 2019-04-30 15:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 15:49:35 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2019-01-07 16:10:47 UTC
This is a tracking bug for Change: Migrate Python-based Nautilus extensions to Python 3
For more details, see: https://fedoraproject.org/wiki/Changes/NautilusExtensionsPython3

The Python backend for the nautilus-python extension will be updated from python2 to python3. All Nautilus extensions written in Python will need to be checked for Python 3 compatibility and updated if necessary. Extensions compatible only with Python 2 will no longer be supported.

Comment 1 Ben Cotton 2019-02-19 20:30:19 UTC
According to the Fedora 30 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to MODIFIED. If you know your change will not be ready for Fedora 30, you can set the version to rawhide and notify bcotton@fedoraproject.org. For more information about this milestone, see the Changes Policy[2].

[1] https://fedoraproject.org/wiki/Releases/30/Schedule
[2] https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 2 Ben Cotton 2019-03-05 21:49:55 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.


Note You need to log in before you can comment on or make changes to this bug.